package com.xmomen.module.sms.api;

import java.util.HashMap;
import java.util.Map;

// 定义一个名为Response的类，用于封装HTTP响应
public class Response {
    // 定义状态码
    private int statusCode;
    // 定义内容类型
    private String contentType;
    // 定义请求ID
    private String requestId;
    // 定义错误信息
    private String errorMessage;
    // 定义头部信息
    private Map<String, String> headers;
    // 定义响应体
    private String body;
    
    // 构造函数
    public Response() {
		
    }

	// 获取状态码
	public int getStatusCode() {
		return statusCode;
	}

	// 设置状态码
	public void setStatusCode(int statusCode) {
		this.statusCode = statusCode;
	}

	// 获取内容类型
	public String getContentType() {
		return contentType;
	}

	// 设置内容类型
	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	// 获取请求ID
	public String getRequestId() {
		return requestId;
	}

	// 设置请求ID
	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}

	// 获取错误信息
	public String getErrorMessage() {
		return errorMessage;
	}

	// 设置错误信息
	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	// 获取头部信息
	public Map<String, String> getHeaders() {
		return headers;
	}
	
	// 根据键获取头部信息
	public String getHeader(String key) {
		if (null != headers) {
			return headers.get(key);
		} else {
			return null;
		}
	}

	// 设置头部信息
	public void setHeaders(Map<String, String> headers) {
		this.headers = headers;
	}
	
	// 根据键值对设置头部信息
	public void setHeader(String key, String value) {
		if (null == this.headers) {
			this.headers = new HashMap<String, String>(); 
		}
		this.headers.put(key, value);
	}

	// 获取响应体
	public String getBody() {
		return body;
	}

	// 设置响应体
	public void setBody(String body) {
		this.body = body;
	}
    
    
}
